> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # LDAP Sync >
Premium tag
Syncs your LDAP data based on the data sync configurations. This endpoint requires 2FA. Make sure LDAP is enabled in **Manage** → **Workspace** → **Settings** → **LDAP** → **Enable** before using this endpoint. Permission required: `sync-auth-services-users`. From Rocket.Chat 9.0.0, LDAP is available on Starter workspaces and on all premium plans (Commercial, Government, and Defense). It is not available on Community workspaces, where this endpoint returns `error-action-not-allowed`. See Our Plans for details. ### Changelog | Version | Description | | ---------------- | ------------| |9.0.0 | Added premium plan availability details. Returns `403` with `errorType: error-forbidden` instead of `400` when refused. | |5.2.0 | Include `syncAvatars` | |4.0.0 | Added | ## OpenAPI ````json POST /api/v1/ldap.syncNow { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/ldap.syncNow": { "post": { "tags": [ "LDAP" ], "summary": "LDAP Sync", "description": "
\"Premium
\n\nSyncs your LDAP data based on the data sync configurations. This endpoint requires 2FA.\n\nMake sure LDAP is enabled in **Manage** → **Workspace** → **Settings** → **LDAP** → **Enable** before using this endpoint.\n\nPermission required: `sync-auth-services-users`.\n\nFrom Rocket.Chat 9.0.0, LDAP is available on Starter workspaces and on all premium plans (Commercial, Government, and Defense). It is not available on Community workspaces, where this endpoint returns `error-action-not-allowed`. See Our Plans for details.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|9.0.0 | Added premium plan availability details. Returns `403` with `errorType: error-forbidden` instead of `400` when refused. |\n|5.2.0 | Include `syncAvatars` |\n|4.0.0 | Added |", "operationId": "post-api-v1-ldap.syncNow", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/x-2fa-code" }, { "$ref": "#/components/parameters/x-2fa-method" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "message": "Sync_in_progress", "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" }, "details": { "type": "object", "properties": { "method": { "type": "string" }, "codeGenerated": { "type": "boolean" }, "availableMethods": { "type": "array", "items": { "type": "string" } } } } } }, "examples": { "Example 1": { "value": { "success": false, "error": "TOTP Required [totp-required]", "errorType": "totp-required", "details": { "method": "totp", "codeGenerated": false, "availableMethods": [ "totp" ] } } }, "Example 2": { "value": { "success": false, "error": "LDAP_disabled" } }, "Not available on Community workspaces": { "value": { "success": false, "error": "This is an enterprise feature [error-action-not-allowed]", "errorType": "error-action-not-allowed" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 3": { "value": { "success": false, "error": "error-not-authorized", "errorType": "error-forbidden" } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "x-2fa-code": { "name": "x-2fa-code", "in": "header", "description": "Enter the 2FA code. This parameter is required if 2FA is enabled in your workspace. See the Introduction to Two-Factor Authentication document for details.", "schema": { "type": "string" }, "example": "148750" }, "x-2fa-method": { "name": "x-2fa-method", "in": "header", "schema": { "type": "string" }, "description": "Enter the method with which you get the 2FA code. It can be `email`, `totp`, or `password`. This parameter is required if 2FA is enabled in your workspace." } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````